dl {
  display: grid;
  grid-template-columns: max-content 1fr auto;
  column-gap: 1rem;
}

dl dt {
  grid-column: 1;
  font-weight: 600;
}

dl dd {
  grid-column: 3;
  margin: 0;
}

dl dt::after {
  content: "";
  grid-column: 2;
}

.dotted dl dt {
  display: flex;
  align-items: baseline;
}

.dotted dl dt::after {
  content: "";
  flex: 1;
  border-bottom: 2px dotted currentColor;
  margin: 0 0.4rem;
}

@media (max-width: 600px) {

  dl {
    display: block;
  }

  dl dt {
    font-weight: 600;
    margin-top: 1rem;
  }

  dl dd {
    margin-left: 0;
    margin-bottom: 0.6rem;
  }

  /* remove dotted leaders */
  .dotted dl dt::after {
    display: none;
  }

}